#include<bits/stdc++.h>

using namespace std;

int karta[20000];

int main(){
	int n,k,broj;
	cin>>n>>k;
	for(int i=0;i<n;i++){
		cin>>karta[i];
	}
	for(int i=0;i<n;i++){
		if(k==karta[i]) broj=i+1;
	}
	cout<<karta[broj%n];
	return 0;
}